#!/bin/bash

# Copyright (C) 2019, 2020 Svante Signell

# Written by Svante Signell  <svante.signell@gmail.com>

# This file is part of hurd-cross.

# Hurd-cross is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published
# by the Free Software Foundation; either version 3 or (at your
# option) any later version.

# Hurd-cross is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with hurd-cross.  If not, see <http://www.gnu.org/licenses/>.

. ./environment-variables.sh

echo ""
echo "File: create-directories.sh"

#FIXME: Do once only!!
if [ ! -d $SYSTEM ]; then
    print_info "Creating SYSTEM = $SYSTEM"
    mkdir -p "$SYSTEM"
    print_info "Creating SRC = \$SYSTEM/src"
    mkdir -p $SRC
    print_info ""
    print_info "Creating STAMPS = $STAMPS"
    mkdir -p $STAMPS
    print_info "Creating STAMPS_DOWNLOAD = \$STAMPS/download"
    mkdir $STAMPS_DOWNLOAD
    print_info "Creating STAMPS_BOOTSTRAP = \$STAMPS/bootstrap"
    mkdir -p $STAMPS_BOOTSTRAP
    print_info "Creating STAMPS_COMPILE = \$STAMPS/compile"
    mkdir -p $STAMPS_COMPILE
    print_info ""
    print_info "Creating LOGS = $LOGS"
    mkdir -p $LOGS
    print_info "Creating LOGS_DOWNLOAD = \$LOGS/download"
    mkdir -p $LOGS_DOWNLOAD
    print_info "Creating LOGS_BOOTSTRAP = \$LOGS/bootstrap"
    mkdir -p $LOGS_BOOTSTRAP
    print_info "Creating LOGS_COMPILE = \$LOGS/compile"
    mkdir -p $LOGS_COMPILE
fi

#CROSS_ROOT=/cross-tools
if [ ! -d $CROSS_ROOT ]; then
    print_info "Creating  CROSS_ROOT=$CROSS_ROOT"
    su -c "mkdir -p $CROSS_ROOT; chown $USER.$USER $CROSS_ROOT"
    mkdir -p $CROSS_ROOT/include $CROSS_ROOT/lib
    mkdir -p $CROSS_ROOT/$TARGET
    ln -s $CROSS_ROOT/include $CROSS_ROOT/$TARGET
    ln -s $CROSS_ROOT/lib $CROSS_ROOT/$TARGET
fi

#TARGET_ROOT=/tools
if [ ! -d $TARGET_ROOT ]; then
    print_info "Creating TARGET_ROOT = $TARGET_ROOT"
    su -c "mkdir -p $TARGET_ROOT; chown $USER.$USER $TARGET_ROOT"
    mkdir -p $TARGET_ROOT/include $TARGET_ROOT/lib
    mkdir -p $TARGET_ROOT/$TARGET
    ln -s $TARGET_ROOT/include $TARGET_ROOT/$TARGET
    ln -s $TARGET_ROOT/lib $TARGET_ROOT/$TARGET
fi
